Copyright: Created with EasyHelp (Tel: 0973 209667)


5391/Annunciator - RG354691
L5391/Annunciator - RG354691

Description

This block mimics an annunciator in a display band on an L5391 operator station.  In order to be displayed, the function block must be specified in either a page handler or display handler function block.

Up to 255 different legends may be displayed (subject to memory limitations), and each legend is a single line of up to 31 characters.  The legend may be highlighted (HL) or blinked.

Parameters

Legend	Selects which legend to display.  Expects an ordinal (1 to 255).  if an undefined legend is specified, it is ignored.

Highlight	Selects the highlighting mode.  Expects an ordinal (0 to 2) where 0 means no highlight, 1 means highlight, and 2 means blink.


Description

This block mimics an annunciator in a display band on an L5391 operator station.  In order to be displayed, the function block must be specified in either a page handler or display handler function block.

Up to 255 different legends may be displayed (subject to memory limitations), and each legend is a single line of up to 31 characters.  The legend may be highlighted (HL) or blinked.


Parameters

Legend	Selects which legend to display.  Expects an ordinal (1 to 255).  if an undefined legend is specified, it is ignored.

Highlight	Selects the highlighting mode.  Expects an ordinal (0 to 2) where 0 means no highlight, 1 means highlight, and 2 means blink.